com.groupdocs.conversion.domain

## Class CacheFileDescription

- java.lang.Object
- - com.groupdocs.conversion.domain.FileDescription
  - - com.groupdocs.conversion.domain.CacheFileDescription

-     public class CacheFileDescription
      extends FileDescription

  Properties of the cached file

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheFileDescription()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CacheFileDescription` | `fromFileDescription(FileDescription fileDescription, SaveOptions saveOptions)`
    `static CacheFileDescription` | `fromFileDescription(FileDescription fileDescription, SaveOptions saveOptions, int currentPage)`
    `SaveOptions` | `getSaveOptions()` Conversion options
    `void` | `setSaveOptions(SaveOptions value)` Conversion options

    - ### Methods inherited from class com.groupdocs.conversion.domain.FileDescription

      `getBaseName, getExtension, getGuid, getLastModified, getName, getPath, getSize, setGuid, setLastModified, setName, setPath, setSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheFileDescription

          public CacheFileDescription()

  - ### Method Detail

    - #### fromFileDescription

          public static CacheFileDescription fromFileDescription(FileDescription fileDescription,
                                                 SaveOptions saveOptions)

    - #### fromFileDescription

          public static CacheFileDescription fromFileDescription(FileDescription fileDescription,
                                                 SaveOptions saveOptions,
                                                 int currentPage)

    - #### getSaveOptions

          public SaveOptions getSaveOptions()

      Conversion options

      Returns:

    - #### setSaveOptions

          public void setSaveOptions(SaveOptions value)

      Conversion options

      Parameters:
        `value` -

Copyright © 2017. All rights reserved.